How to upgrade Lyrx files from one version of ArcGIS Pro (2.4) to another version (2.8)

680
1
07-25-2021 08:55 PM
Labels (1)
LeandraGordon
Occasional Contributor II

Hi All,

I have a series of layer files (.lyrx) which have stopped working in ArcGIS Pro 2.8 with the error:

ERROR 000966: The input layer is not valid

Is there any way I can upgrade them without access to the original project I used to create them. I need the thematic setup (standard class breaks, standard colours) and I don't want to spend hours setting them all up again.

Tags (1)
0 Kudos
1 Reply
DanPatterson
MVP Esteemed Contributor

a layer package would have been more useful since it packages the data as well.

Save a layer file—ArcGIS Pro | Documentation

If you have access to the original data you might be able to recover the references.

Alternately if you need references to the properties of the *.lyrx then you have to use the mapping module

LayerFile—ArcGIS Pro | Documentation

Layer—ArcGIS Pro | Documentation


... sort of retired...
0 Kudos